using System;

namespace ReflectionIT.Data.Sql
{
	/// <summary>
	/// Base Classes for all SQL clauses
	/// </summary>
	public class DmlClause : ClauseBase {
		
		internal DmlClause(IToken prefix, StatementBase statement) : base(prefix, statement) {
			this.List.Add(new Keyword(String.Empty));
		}

		public string TableName {
			get {
				return this.List[1].ToString();
			}
			set {
				this.List[1] = new Identifier(value);
			}
		}

		
	}
}
