using System;
using System.Data;
using System.Data.SqlClient;
using System.Text;

namespace ReflectionIT.Data.Sql
{
	public class AccessCommandBuilder : OleDbCommandBuilder {

		public static readonly AccessCommandBuilder Value = new AccessCommandBuilder();

		/// <summary>
		/// Singleton
		/// </summary>
		private AccessCommandBuilder() {
		}

		protected override void Append(IDbCommand command, StringBuilder sql, Identifier identifier) {
			sql.Append("[");
			sql.Append(identifier.ToString());
			sql.Append("]");
		}

	}
}
