using System;
using System.Data;
using System.Data.SqlClient;
using System.Text;

namespace ReflectionIT.Data.Sql
{
	public class MySqlCommandBuilder : OdbcCommandBuilder {

		public static readonly MySqlCommandBuilder Value = new MySqlCommandBuilder();

		/// <summary>
		/// Singleton
		/// </summary>
		private MySqlCommandBuilder() {
		}

		protected override void Append(IDbCommand command, StringBuilder sql, Identifier identifier) {
			sql.Append("`");
			sql.Append(identifier.ToString());
			sql.Append("`");
		}
	}
}
