using System;
using System.Data;
using Microsoft.Data.Odbc;
using System.Text;

namespace ReflectionIT.Data.Sql
{
	public abstract class OdbcCommandBuilder : CommandBuilderBase {

		protected override IDbCommand CreateCommand() {
			return new OdbcCommand();
		}

		protected override void Append(IDbCommand command, StringBuilder sql, Constant constant) {
			sql.Append("?");
			command.Parameters.Add(new OdbcParameter(constant.Name, constant.Value));
		}
	}
}
