using System;

namespace ReflectionIT.Data.Sql
{
	public class Constant : IToken {

		private string _name;
		private object _value;

		public Constant(object value) {
			this._value = value;
		}

		public Constant(string name, object value) {
			this._name = name;
			this._value = value;
		}

		public override string ToString() {
			return _value.ToString();
		}

		public string Name {
			get { return _name; }
		}

		public object Value {
			get { return _value; }
		}

		public TokenList GetList() {
			return null;
		}

	}

}
