using System;
using System.Collections;

namespace ReflectionIT.Data.Sql
{
	public class TokenList : CollectionBase {

		public TokenList Add(IToken word) {
			this.InnerList.Add(word);
			return this;
		}

		public TokenList Insert(int index, IToken word) {
			this.List.Insert(index, word);
			return this;
		}

		public IToken this[int index] {
			get { return (IToken)InnerList[index]; }
			set { InnerList[index] = value; }
		}

	}
}
