using System;
using System.Collections;

namespace ReflectionIT.Data.Sql
{
	public class TokenList : CollectionBase {

		public TokenList Add(IToken token) {
			this.InnerList.Add(token);
			return this;
		}

		public TokenList Add(TokenList tokenlist) {
			foreach (IToken t in tokenlist) {
				this.InnerList.Add(t);
			}
			return this;
		}

		public TokenList Insert(int index, IToken token) {
			this.List.Insert(index, token);
			return this;
		}

		public IToken this[int index] {
			get { return (IToken)InnerList[index]; }
			set { InnerList[index] = value; }
		}

	}
}
